# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.


# -- Project information -----------------------------------------------------
import sphinx_bootstrap_theme
from sphinx.writers.html import HTMLTranslator

import sys
import os
project = 'Football Packing'
copyright = '2020, Samira Kumar'
author = 'Samira Kumar'

# The full version, including alpha/beta/rc tags
release = '0.1'

sys.path.insert(0, os.path.abspath('..'))
sys.path.insert(0, os.path.abspath('../football_packing'))

# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ['sphinx.ext.autodoc',
              'sphinx.ext.coverage',
              'sphinx.ext.viewcode',
              'sphinx.ext.autosectionlabel',
              'numpydoc']

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'bootstrap'
html_theme_path = sphinx_bootstrap_theme.get_html_theme_path()
html_theme_options = {'source_link_position': "none",
                      'bootswatch_theme': "simplex",
                      'bootstrap_version': "3",
                      'navbar_sidebarrel': False,
                      'navbar_links': [
                          ("Usage & Examples", "misc/examples"),
                          ("About", "misc/disclaimer"),
                      ],
                      }

# Sidebar
html_sidebars = {'**': ['localtoc.html', 'searchbox.html', ],
                 'collapse': True}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']


def setup(app):
    app.add_css_file("custom.css")


exclude_patterns = ['misc/disclaimer.rst']
